> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all compute nodes information.

> Get compute nodes information with status.

## OpenAPI

````json GET /v1/nodes
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/nodes": {
      "get": {
        "tags": [
          "Node"
        ],
        "summary": "Get all compute nodes information.",
        "description": "Get compute nodes information with status.",
        "operationId": "getAllNodes",
        "x-auth-resource": "Reader,Writer,Manager",
        "parameters": [
          {
            "name": "name",
            "in": "query",
            "description": "Compute node name.",
            "required": false,
            "type": "string"
          },
          {
            "name": "description",
            "in": "query",
            "description": "Compute node description.",
            "required": false,
            "type": "string"
          },
          {
            "name": "sgx_version",
            "in": "query",
            "description": "Search on node's SGX platform software version.",
            "required": false,
            "type": "string"
          },
          {
            "name": "all_search",
            "in": "query",
            "description": "Search on name or description.",
            "required": false,
            "type": "string"
          },
          {
            "name": "attestation_type",
            "in": "query",
            "description": "Node Attestation type (DCAP, NITRO_ENCLAVE or AMD_SEV_SNP).",
            "required": false,
            "type": "string"
          },
          {
            "$ref": "#/parameters/NodeStatusType"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum numbers of compute nodes to return.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Number of compute nodes to skip from start.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC",
            "required": false,
            "type": "string"
          },
          {
            "name": "filter",
            "in": "query",
            "description": "Filter query supports searching by list of node_id.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Search result for compute node objects.",
            "schema": {
              "$ref": "#/definitions/GetAllNodesResponse"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

